package com.ylx.message.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.message.domain.dto.MessageDetailDTO;
import com.ylx.message.domain.vo.MessageCategoryVO;
import com.ylx.message.domain.vo.MessageDetailVO;

import java.util.List;
import java.util.Map;

public interface IMessageService {
    void markAsRead(Long id);

    List<MessageCategoryVO> getCategoryCards();

    Page<MessageDetailVO> getCategoryMessages(MessageDetailDTO dto);

    void sendMessage(Long userId, String triggerEvent, Map<String, Object> variables);
}
